Skip to content

Paymaster and bundler JSON-RPC for Ethos smart wallets

POST
/paymaster
curl --request POST \
--url https://api.ethos.network/api/v2/paymaster \
--header 'Content-Type: application/json' \
--data '{ "id": 1, "jsonrpc": "2.0", "method": "example", "params": [ "example" ] }'
Media typeapplication/json
object
id
number | string | null
jsonrpc
required
string
Allowed value: 2.0
method
required
string
params
Array
key
additional properties

Successful response

Media typeapplication/json
object
id
number | string | null
jsonrpc
required
string
Allowed value: 2.0
key
additional properties

Example

{
"jsonrpc": "2.0"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}